Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Event_Handler.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/os_signal.h"`
`#include "ace/Atomic_Op.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Event_Handler.inl"`

Include dependency graph for Event_Handler.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Event_Handler
| Provides an abstract interface for handling various types of I/O, timer, and signal events. More...
class | ACE_Event_Handler::Policy
| Base class for all handler policies. More...
class | ACE_Event_Handler::Reference_Counting_Policy
| This policy dictates the reference counting requirements for the handler. More...
class | ACE_Event_Handler_var
| Auto pointer like class for Event Handlers. More...
class | ACE_Notification_Buffer
| Simple wrapper for passing <ACE_Event_Handler *>s and <ace_reactor_mask>s between threads. More...
## Typedefs
typedef unsigned long | ACE_Reactor_Mask

## Detailed Description

Id
  Event_Handler.h,v 4.57 2006/02/28 00:23:12 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef unsigned long ACE_Reactor_Mask